Package org.eclipse.mat.inspections.util

## Class ObjectTreeFactory.TreePathBuilder

- java.lang.Object
- - org.eclipse.mat.inspections.util.ObjectTreeFactory.TreePathBuilder

Enclosing class:
  ObjectTreeFactory

    public static class ObjectTreeFactory.TreePathBuilder
    extends Object

### Constructor Summary

Constructors
`TreePathBuilder()`
`TreePathBuilder​(long base)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ObjectTreeFactory.TreePathBuilder` `addBranch​(int objectId)`
`ObjectTreeFactory.TreePathBuilder` `addChild​(int objectId, boolean select)`
`ObjectTreeFactory.TreePathBuilder` `addChildren​(int[] objectIds)`
`ObjectTreeFactory.TreePathBuilder` `addSibling​(int objectId, boolean select)`
`IResultTree` `build​(ISnapshot snapshot)`
`ObjectTreeFactory.TreePathBuilder` `setIsIncoming()`
`ObjectTreeFactory.TreePathBuilder` `setIsOutgoing()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TreePathBuilder

    public TreePathBuilder()

#### TreePathBuilder

    public TreePathBuilder​(long base)

### Method Detail

#### setIsIncoming

    public ObjectTreeFactory.TreePathBuilder setIsIncoming()

#### setIsOutgoing

    public ObjectTreeFactory.TreePathBuilder setIsOutgoing()

#### addBranch

    public ObjectTreeFactory.TreePathBuilder addBranch​(int objectId)

#### addChild

    public ObjectTreeFactory.TreePathBuilder addChild​(int objectId,
                                                      boolean select)

#### addChildren

    public ObjectTreeFactory.TreePathBuilder addChildren​(int[] objectIds)

#### addSibling

    public ObjectTreeFactory.TreePathBuilder addSibling​(int objectId,
                                                        boolean select)

#### build

    public IResultTree build​(ISnapshot snapshot)